﻿using System;
using System.Linq;

namespace ConnectorBugReport
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            using (var model = new DataModel("Server=servername;Database=databasename;Uid=username;Pwd=password"))
            {
                var clientName = "test";

                var filteredClients =
                    from client in model.Clients
                    where client.Name.StartsWith(clientName)
                    orderby client.Id descending
                    select client;

                var topClients = filteredClients.Take(10);

                Console.WriteLine(topClients.ToString());
                Console.ReadKey();
            }
        }
    }
}
